<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
if(isset($_SESSION["axeslogin"]) && $_SESSION["axeslogin"] == true){
$_SESSION['cuPages']='off_alloffer.php';   
$cuPage='off_alloffer.php';    
$aid=$_SESSION['uid'];
$uty=$_SESSION['utype'];    
$brid=$_SESSION['abrid'];     
}else{
header('Location:../index.php');
exit;    
}
$mhead='offer';
$menuh='Set Offer &amp; Rebeat';
$phead='oflist';
$page='All Coupon &amp; Offer';
$print='print';
$dtnow = date("Y-m-d h:i:s", time());
$today = strftime("%Y-%m-%d", time());
?>
<?php 
if(isset($_POST['deloff'])){
$id=$_POST['deloff'];
if(delete_check('tbl_traproduct','ofid',$id)>0){
save_msg('w','Offer Depend On Other Table!!!');
echo "<script>window.location='off_alloffer.php'</script>";
return;    
}
$sql="UPDATE tbl_stock SET ofid=NULL WHERE ofid='$id'";
mysqli_query($con,$sql)or die(mysqli_error($con));
    
$name= get_fild_data('tbl_offer',$id,'name');   
$sql="DELETE FROM tbl_offer WHERE id='$id'";
$query=mysqli_query($con,$sql)or die(mysqli_error($con));
$efid=mysqli_affected_rows($con);    
if($efid>0){    
$act =remove_junk(escape('Offer name: '.$name));    
write_activity($aid,'OFF','Offer has been deleted',$act);       
save_msg('s','Offer Successfully Deleted!!!');
}else{
save_msg('w','Offer Fail to Delete!!!');   
}
echo "<script>window.location='off_alloffer.php'</script>";     
}
?>
<?php
include('../layout/head.php');
include('../layout/header.php');
include('../layout/side_nav.php');
?>

<div class="content-wrapper">
<?php include('../layout/page_head.php'); ?>
<!-- Main content -->
<section class="content">

<div class="row">
<div class="col-md-8">
<div class="box box-solid">
<div class="box-header with-border">
<h3 class="box-title">All Coupon &amp; Offers</h3>
</div>
<div class="box-body">
<?php echo display_msg();?>    
<div class="col-md-12 table-responsive">
<table class="table table-bordered table-striped" id="datarec">
<thead>
<tr>
<th style="width:40px;">SN</th>   
<th>Name</th>
<th>Percent(%)</th>
<th>Amount</th>
<th>Duration</th>
<th>Description</th>
<th>Effect On</th>
<th>Status</th>    
<th style="width:40px; text-align:center;">Action</th>    
</tr>
</thead>    
<tbody>
<?php
$sql="SELECT * FROM tbl_offer ORDER BY id DESC";    
$query=mysqli_query($con,$sql)or die(mysqli_error($con));
while ($row=mysqli_fetch_array($query)){
$id=$row['id'];
?>
<tr>
<td class="center"><?php echo count_id();?></td>
<td><?php echo $row['name'];?></td>
<td><?php echo getfloatval($row['percent']).'%';?></td>
<td><?php echo numtolocal($row['fixed'],'');?></td>    
<td><?php echo 'Start: '.date("d M Y", strtotime($row['stdate'])).'<br>End :'.date("d M Y", strtotime($row['endate']));?></td>        
<td><?php echo $row['description'];?></td>
<td>
<?php if($row['aft']=='0'): ?>
<span class="label label-success"><?php echo "Supplier"; ?></span>
<?php else: ?>
<span class="label label-danger"><?php echo "Self"; ?></span>
<?php endif;?>    
</td>
<td class="text-center">
<?php if($row['status']=='1'): ?>
<span class="label label-success"><?php echo "Active"; ?></span>
<?php else: ?>
<span class="label label-danger"><?php echo "De-Active"; ?></span>
<?php endif;?>
</td>    
<td nowrap="">
<a class="btn btn-flat bg-purple details-invoice" href="#" id="inv_<?php echo $row['id']; ?>"><i class="fa fa-eye cat-child"></i></a>
<?php if(delete_check('tbl_traproduct','ofid',$row['id'])<=0){ ?>   
<a class="btn btn-flat bg-purple" onclick="edit_item('ED_<?php echo $row['id'];?>')"><i class="fa fa-edit"></i></a>
<a class="btn btn-flat bg-purple" onclick="remove_item('DL_<?php echo $row['id'];?>')"><i class="fa fa-trash"></i></a>
<form action="off_offeredit.php" id="ED_<?php echo $row['id'];?>" method="post" >
<input type="hidden" name="editoff" value="<?php echo $row['id']; ?>" />
</form>
<form action="off_alloffer.php" id="DL_<?php echo $row['id'];?>" method="post" >
<input type="hidden" name="deloff" value="<?php echo $row['id']; ?>" />
</form>
<?php } ?>    
</td>    
</tr>    
<?php } ?>    
</tbody>   
</table>
</div>
<div class="clearfix" ></div>  
<div class="row"style="margin-top: 15px" >
<div class="col-md-12 table-responsive">    
<div class="col-md-8"></div>
<div class="col-md-4 text-right" >
<a href="off_offercre.php" class="btn btn-flat bg-purple">Create Offer</a>
</div>
</div>    
</div>    
</div>
</div>
</div>
<div class="col-md-4">
<div class="row">
<div class="col-md-12">
<div class="box box-solid">
<div class="box-header">
<h3 class="box-title">History </h3>
</div>
<!-- /.box-header -->
<div class="box-body" >
<?php if($_SESSION['utype']=='1'){echo read_activity($aid,'OFF','A');}else{echo read_activity($aid,'OFF','U');}?>
</div>
</div>
</div>
</div>
</div>
</div> 
    
<?php include('../layout/quick.php');?>    
</section>
<?php include('../layout/print.php'); ?>    
<!-- /.main content -->    
</div>
<?php
include('../layout/footer.php');
?>
<!-- page script -->
<script type="text/javascript">
$(document).ready(function(){
$('#datarec').DataTable({stateSave: true});
});
    
function edit_item(id) {
document.getElementById(id).submit(); 
}
    
function remove_item(id) {
bootbox.confirm({
title: "Confirm",
message: "Are you sure to delete ?",
buttons: {
confirm: {
label: 'Yes',
className: 'btn-flat bg-purple'
},
cancel: {
label: 'Cancel',
className: 'btn-flat bg-gray'
}
},
callback: function (result) {
if (result == true) {
document.getElementById(id).submit();
}
}
});
}

$(document).on('click','.details-invoice',function(e) {      
id_arr = $(this).attr('id');
id = id_arr.split("_");

$.ajax({
url: 'off_viewlist.php',
method: "POST",
data:{ 
invid: id[1]
},
success: function(data){
$('#listitem').html(data);
pagelist();    
}
});    
    
$.ajax({
url: 'off_viewdet.php',
method: "POST",
data:{ 
print: id[1]
},
success: function(data){
$('#invhold').html(data);
sethead();    
}
});
    
$('.right-side').toggle('slide', { direction: 'right' }, 300);    

e.preventDefault();
});

$(document).on('click', '#closepop', function() {
if($('.right-side').is(':visible')) { $('.right-side').toggle('slide', { direction: 'right' }, 300); }   
});    

            
$('#listitem').on('click','li', function(){
   $(this).addClass('active').siblings().removeClass('active');
});
    
$(document).on('click', '.invpiv', function() {
id_arr = $(this).attr('id');
id = id_arr.split("_");
var ids = id[1];
$.ajax({
url: 'off_viewdet.php',
method: "POST",
data:{ 
print: ids
},
beforeSend: function() {
//$("#invhold").fadeOut('slow');
},    
success: function(data){    
$('#invhold').html(data);
$("#invhold").fadeIn('slow');    
sethead();    
}
});     
});    
</script>    
<!-- /page script -->
</html>    